import request from '@/assets/js/utils/request'
/* ======================================专家评审API接口================================================= */
// 评审费报销-新增或修改
export function addOrUpdateAuditFee(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFee/addOrUpdateAuditFee',
    method: 'post',
    data
  })
}
// 评审费报销-删除评审费报销数据
export function deleteByIdEnderEvalFee(id) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFee/deleteByIdEnderEvalFee?id=' + id,
    method: 'post'
  })
}
// 评审费报销-单个查询
export function queryByIdEvalFeeInfo(id) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFee/queryByIdEvalFeeInfo?id=' + id,
    method: 'post'
  })
}
// 评审费报销-分页列表查询
export function queryEvalFeeInfoPageList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFee/queryEvalFeeInfoPageList',
    method: 'post',
    data
  })
}
// 评审费发放明细-新增或修改/提交
export function addOrUpdateEvalFeeDetail(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFeeDetail/addOrUpdateEvalFeeDetail',
    method: 'post',
    data
  })
}
// 评审费发放明细-查看单个发放明细信息
export function queryByIdEvalFeeDetailInfo(datailId) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFeeDetail/queryByIdEvalFeeDetailInfo?datailId=' + datailId,
    method: 'post'
  })
}
// 评审费发放明细-查看发放明细信息列表
export function queryByIdEvalFeeDetailInfos(evalFeeid) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFeeDetail/queryByIdEvalFeeDetailInfos?evalFeeid=' + evalFeeid,
    method: 'post'
  })
}
// 评审费发放明细-修改
export function updateExpertInfo(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFeeDetail/updateExpertInfo',
    method: 'post',
    data
  })
}

// 查询评审费记账列表
export function getPageEvalFeeBookkeepingListInfos(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFeeDetail/getPageEvalFeeBookkeepingListInfos',
    method: 'post',
    data
  })
}

// 批量记账
export function batchBookkeeping(ids) {
  return request({
    url: '/bidprocurement/bidding-docfee/evalfee/evalFeeDetail/batchBookkeeping?ids=' + ids,
    method: 'post'
  })
}
